\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-1.5,0.5) rectangle (3.5,5);
\draw [line width=1.5pt,mydashed] (0,2)-- (2,1);
\draw [line width=1.5pt,mydashed] (3,2)-- (-1,1);
\draw [line width=1.5pt,mydashed,color=A2] (0,2)-- (1,4.5);
\draw [line width=1.5pt,color=A2] (1,4.5)-- (3,2);
\draw [line width=1.5pt,color=A2] (1,4.5)-- (-1,1);
\draw [line width=1.5pt,color=A2] (1,4.5)-- (2,1);
\draw [line width=1.5pt,color=H2] (2,1)-- (-1,1);
\draw [line width=1.5pt,mydashed,color=H2] (-1,1)-- (0,2);
\draw [line width=1.5pt,mydashed,color=H2] (0,2)-- (3,2);
\draw [line width=1.5pt,color=H2] (3,2)-- (2,1);
\draw [line width=1.5pt,mydashed,color=B2] (1,4.5)-- (1,1.5);
\draw[color=black] (-1.25,0.75) node {$A$};
\draw[color=black] (2.25,0.75) node {$B$};
\draw[color=black] (3.25,2.25) node {$C$};
\draw[color=black] (-0.25,2.25) node {$D$};
\draw[color=black] (1.25,1.75) node {$O$};
\draw[color=black] (1.25,4.75) node {$S$};
\end{tikzpicture}
\end{document}